/**
 *
 * RenderingQueueServices rendering of the views for pages and thumbnails.
 *
 */
export declare class LibService {
    renderingStates: {
        INITIAL: number;
        RUNNING: number;
        PAUSED: number;
        FINISHED: number;
    };
    CLEANUP_TIMEOUT: number;
    pdfViewer: any;
    pdfThumbnailViewer: any;
    onIdle: any;
    highestPriorityPage: any;
    idleTimeout: any;
    printing: any;
    isThumbnailViewEnabled: any;
    setViewer(pdfViewer: any): void;
    setThumbnailViewer(pdfThumbnailViewer: any): void;
    isHighestPriority(view: any): boolean;
    renderHighestPriority(currentlyVisiblePages: any): void;
    getHighestPriority(visible: any, views: any, scrolledDown: any): any;
    isViewFinished(view: any): boolean;
    /**
     * Render a page or thumbnail view. This calls the appropriate function
     * based on the views state. If the view is already rendered it will return
     * false.
     */
    renderView(view: any): boolean;
}
