<p align="center">
  <img height="256px" width="256px" style="text-align: center;" src="https://cdn.rawgit.com/PriyatoshMohapatra/Angular-PDF-Viewer/master/demo/src/assets/logo.svg">
</p>

# Angular-PDF-Viewer - Viewing PDF on any browser

[![npm version](https://badge.fury.io/js/Angular-PDF-Viewer.svg)](https://badge.fury.io/js/Angular-PDF-Viewer),
[![Build Status](https://travis-ci.org/PriyatoshMohapatra/Angular-PDF-Viewer.svg?branch=master)](https://travis-ci.org/PriyatoshMohapatra/Angular-PDF-Viewer)
[![Coverage Status](https://coveralls.io/repos/github/PriyatoshMohapatra/Angular-PDF-Viewer/badge.svg?branch=master)](https://coveralls.io/github/PriyatoshMohapatra/Angular-PDF-Viewer?branch=master)
[![dependency Status](https://david-dm.org/PriyatoshMohapatra/Angular-PDF-Viewer/status.svg)](https://david-dm.org/PriyatoshMohapatra/Angular-PDF-Viewer)
[![devDependency Status](https://david-dm.org/PriyatoshMohapatra/Angular-PDF-Viewer/dev-status.svg?branch=master)](https://david-dm.org/PriyatoshMohapatra/Angular-PDF-Viewer#info=devDependencies)

## Demo

View all the directives in action at https://PriyatoshMohapatra.github.io/Angular-PDF-Viewer

## Dependencies
* [Angular](https://angular.io) (*requires* Angular 2 or higher, tested with 2.0.0)

## Installation
Install above dependencies via *npm*. 

Now install `angular-pdf-viewer` via:
```shell
npm install --save angular-pdf-viewer
```

---
##### SystemJS
>**Note**:If you are using `SystemJS`, you should adjust your configuration to point to the UMD bundle.
In your systemjs config file, `map` needs to tell the System loader where to look for `angular-pdf-viewer`:
```js
map: {
  'angular-pdf-viewer': 'node_modules/angular-pdf-viewer/bundles/angular-pdf-viewer.umd.js',
}
```
---

Once installed you need to import the main module:
```js
import { LibModule } from 'angular-pdf-viewer';
```
The only remaining part is to list the imported module in your application module. The exact method will be slightly
different for the root (top-level) module for which you should end up with the code similar to (notice ` LibModule .forRoot()`):
```js
import { LibModule } from 'angular-pdf-viewer';

@NgModule({
  declarations: [AppComponent, ...],
  imports: [LibModule.forRoot(), ...],  
  bootstrap: [AppComponent]
})
export class AppModule {
}
```

Other modules in your application can simply import ` LibModule `:

```js
import { LibModule } from 'angular-pdf-viewer';

@NgModule({
  declarations: [OtherComponent, ...],
  imports: [LibModule, ...], 
})
export class OtherModule {
}
```

## Usage



## License

Copyright (c) 2018 Priyatosh Mohapatra. Licensed under the MIT License (MIT)

